Bug 1569951 - Amends in volume profile option 'gluster-block'
Summary: Amends in volume profile option 'gluster-block'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Pranith Kumar K
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On: 1573119
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-20 11:13 UTC by Sweta Anandpara
Modified: 2018-09-25 09:31 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-13
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1573119 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:46:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:47:38 UTC

Description Sweta Anandpara 2018-04-20 11:13:35 UTC
Description of problem:
=======================
Marked performance benefits are seen if we enable cluster.eager-lock and performance.client-io-threads. This would require changing the 'gluster-block' group volume set option - which presently disables both the parameters mentioned above. 

References: 
https://bugzilla.redhat.com/show_bug.cgi?id=1491785
https://bugzilla.redhat.com/show_bug.cgi?id=1560475


Version-Release number of selected component (if applicable):
==========================================================
gluster-block-0.2.1-7


How reproducible:
================
Always


Additional info:
===============
gluster v info du[root@dhcp47-50 ~]# gluster v info dummy
 
Volume Name: dummy
Type: Replicate
Volume ID: b1a342ac-02c1-4123-b21e-c3677cd8a6dd
Status: Created
Snapshot Count: 0
Number of Bricks: 1 x 3 = 3
Transport-type: tcp
Bricks:
Brick1: 10.70.47.50:/bricks/brick1/dummy0
Brick2: 10.70.47.5:/bricks/brick1/dummy1
Brick3: 10.70.47.55:/bricks/brick1/dummy2
Options Reconfigured:
server.allow-insecure: on
user.cifs: off
features.shard-block-size: 64MB
features.shard: on
cluster.shd-wait-qlength: 10000
cluster.shd-max-threads: 8
cluster.locking-scheme: granular
cluster.data-self-heal-algorithm: full
cluster.quorum-type: auto
cluster.eager-lock: disable
network.remote-dio: disable
performance.strict-o-direct: on
performance.readdir-ahead: off
performance.open-behind: off
performance.stat-prefetch: off
performance.io-cache: off
performance.read-ahead: off
performance.quick-read: off
transport.address-family: inet
nfs.disable: on
performance.client-io-threads: off
[root@dhcp47-50 ~]#

Comment 4 Worker Ant 2018-04-30 08:49:19 UTC
REVISION POSTED: https://review.gluster.org/19913 (block-profile: enable cluster.eager-lock in block-profile) posted (#2) for review on master by Pranith Kumar Karampuri

Comment 8 Pranith Kumar K 2018-06-25 08:14:50 UTC
Sweta,
    Could you give QE-ack for this bug?

Comment 18 errata-xmlrpc 2018-09-04 06:46:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.